variables:
  MSBUILD_PATH: 'C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\MSBuild\Current\Bin\MSBuild.exe'

stages:
  - build
  - test
  - stop

build_job:
  stage: build
  only:
    - branches
  script:
    - C:\Users\User\nuget.exe restore
    - '& "$env:MSBUILD_PATH"'
    - C:\Users\User\Desktop\stop.bat

test_job:
  stage: test
  script:
    - C:\Users\User\nuget.exe restore
    - dotnet test

stop_job:
  stage: stop
  variables:
    GIT_STRATEGY: none
  script:
  - C:\Users\User\Desktop\stop.bat
  - C:\Users\User\Desktop\delete.bat
  when: always

